Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.connectionmanager.dto
Class ProtocolInfo

    java.lang.Object
      org.teleal.cling.support.connectionmanager.dto.ProtocolInfo

    public class ProtocolInfo

extends java.lang.Object

Encaspulates a MIME type (content format) and transport, protocol, additional information.

Author:
  Christian Bauer

Field Summary
`protected java.lang.String` | `additionalInfo`
`protected java.lang.String` | `contentFormat`
`protected java.lang.String` | `network`
`protected Protocol` | `protocol`
`static java.lang.String` | `WILDCARD`

Constructor Summary
`ProtocolInfo(org.teleal.common.util.MimeType contentFormatMimeType)`
`ProtocolInfo(Protocol protocol, java.lang.String network, java.lang.String contentFormat, java.lang.String additionalInfo)`
`ProtocolInfo(java.lang.String s)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getAdditionalInfo()`
`java.lang.String` | `getContentFormat()`
`org.teleal.common.util.MimeType` | `getContentFormatMimeType()`
`java.lang.String` | `getNetwork()`
`Protocol` | `getProtocol()`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### WILDCARD

    public static final java.lang.String WILDCARD

See Also:
  Constant Field Values

### protocol

    protected Protocol protocol

### network

    protected java.lang.String network

### contentFormat

    protected java.lang.String contentFormat

### additionalInfo

    protected java.lang.String additionalInfo

Constructor Detail

### ProtocolInfo

    public ProtocolInfo(java.lang.String s)
                 throws org.teleal.cling.model.types.InvalidValueException

Throws:
  `org.teleal.cling.model.types.InvalidValueException`

### ProtocolInfo

    public ProtocolInfo(org.teleal.common.util.MimeType contentFormatMimeType)

### ProtocolInfo

    public ProtocolInfo(Protocol protocol,
                        java.lang.String network,
                        java.lang.String contentFormat,
                        java.lang.String additionalInfo)

Method Detail

### getProtocol

    public Protocol getProtocol()

### getNetwork

    public java.lang.String getNetwork()

### getContentFormat

    public java.lang.String getContentFormat()

### getContentFormatMimeType

    public org.teleal.common.util.MimeType getContentFormatMimeType()
                                                             throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### getAdditionalInfo

    public java.lang.String getAdditionalInfo()

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.